1.3.3

2011-03-28  Chris Kühl  <chrisk@openismus.com>

	Removed obsolete variations of Clutter::Script::get_object methods.

	* clutter/src/script.hg:

2011-03-28  Chris Kühl  <chrisk@openismus.com>

	Updated Clutter::Script example to use Clutter::Script::get_object.

	* example/script.cc: Using Clutter::Script::get_object to avoid an
	ugly cast.

2011-03-28  Chris Kühl  <chrisk@openismus.com>

	Added get_object convienience method.

	* clutter/src/script.[h|cc]g: Added get_object and helper functions.
	These changes were inspired by get_widget in Gtkmm's Builder class.

2011-02-28  Chris Kühl  <chrisk@openismus.com>

 	Temporarily remove methods with std::map containing a Glib::ValueBase.

	Committing forgotten *.ccg files from before.

	* clutter/src/actor.ccg:
	* clutter/src/box.ccg:

2011-02-27  Chris Kühl  <chrisk@openismus.com>

	Added signal name change forgotten from 2 commits ago.

	* clutter/src/clutter_signals.defs

2011-02-27  Chris Kühl  <chrisk@openismus.com>

	Temporarily removing methods with std::map containing a Glib::ValueBase.

	* clutter/src/actor.hg:
	* clutter/src/box.hg:

2011-02-27  Chris Kühl  <chrisk@openismus.com>

	Fixed inheritance and layout-manager issues in box.hg.

	* clutter/src/box.hg:

2011-02-25  Chris Kühl  <chrisk@openismus.com>

	Example: Added Simple Clutter::Script example.

	* examples/script.cc

1.3.2

2011-02-01  Chris Kühl  <chrisk@openismus.com>

	Added missing methods for vfuncs in LayoutManager.

	* clutter/src/layout-manager.hg:

2011-02-01  Chris Kühl  <chrisk@openismus.com>

	Fixed const issue in get_timeline from Animator.

	* clutter/src/animator.hg:

2011-01-31  Chris Kühl  <chrisk@openismus.com>

	Added refreturn & constversions of set_key, start, and get_timeline to Animator.

	* clutter/src/animator.hg:

2011-01-31  Chris Kühl  <chrisk@openismus.com>

	Added refreturn & constversions to get_pointer_[actor|stage] in InputDevice.

	* clutter/src/input-device.hg:

2011-01-31  Chris Kühl  <chrisk@openismus.com>

	Added refreturn & constversions to get_device & get_core_device in DeviceManager.

	* clutter/src/device-manager.hg:

2011-01-31  Chris Kühl  <chrisk@openismus.com>

	Wrapped ActorBox's clamp_to_pixel method.

	* clutter/src/actor.hg: Wrapped new method.

2011-01-31  Chris Kühl  <chrisk@openismus.com>

	Wrapped ActorBox's get_[origin|size|area] & contains methods.

	* clutter/src/actor.hg: Wrapped new methods, moved conversion.

2011-01-24  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterDeviceManager.

	* clutter/cluttermm.h: Added header file for new class.
	* clutter/src/device-manager.[hg|ccg]: Initial wrapping of ClutterDeviceManager.
	* clutter/src/clutter_signals.defs: Added properties for new class.
	* clutter/src/filelist.am: Added new class to files_hg list.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new class.
	* codegen/m4/convert_clutter.m4: Added DeviceManager & InputDevice conversions.

2011-01-22  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterInputDevice.

	* clutter/cluttermm.h: Added header file for new class.
	* clutter/src/input-device.[hg|ccg]: Initial wrapping of ClutterInputDevice.
	* clutter/src/clutter_signals.defs: Added properties for new class.
	* clutter/src/filelist.am: Added new classes to files_hg list.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new class.
	* codegen/m4/convert_clutter.m4: Added enum conversion for Stage and
	InputDeviceType.

2011-01-21  Chris Kühl  <chrisk@openismus.com>

	Sorted _EQUAL & _CONV_ENUM entries.

	* codegen/m4/convert_clutter.m4:

2011-01-21  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterAnimator.

	* clutter/cluttermm.h: Added header file for new class.
	* clutter/src/animator.[hg|ccg]: Initial wrapping of ClutterAnimator.
	* clutter/src/clutter_signals.defs: Added properties for new class.
	* clutter/src/filelist.am: Added new classes to files_hg list.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new class.
	* codegen/m4/convert_clutter.m4: Added enum conversion for Animator.

2011-01-20  Chris Kühl  <chrisk@openismus.com>

	Removed unnecessary C headers in .hg files.

	*clutter/src/actor-meta.hg:
	*clutter/src/actor.hg:
	*clutter/src/alpha.hg:
	*clutter/src/animation.hg:
	*clutter/src/container.hg:
	*clutter/src/interval.hg:
	*clutter/src/media.ccg:
	*clutter/src/path.[h|cc]g:
	*clutter/src/score.hg:
	*clutter/src/script.hg:
	*clutter/src/scriptable.[h|cc]g:
	*clutter/src/shader.[h|cc]g:
	*clutter/src/stage.hg:
	*clutter/src/texture.hg:

2011-01-20  Chris Kühl  <chrisk@openismus.com>

	Replaced use of unsigned int with guint.

	*clutter/src/actor.[cc|h]g:
	*clutter/src/box-layout.hg:
	*clutter/src/path.hg:
	*clutter/src/rectangle.hg:
	*clutter/src/text.hg:
	*clutter/src/types.[cc|h]g:

2011-01-19  Chris Kühl  <chrisk@openismus.com>

	Cleaned up include files in LayoutManager.

	*clutter/src/layout-manager.[h|cc]g: Cleaned up includes.

2011-01-18  Chris Kühl  <chrisk@openismus.com>

	Added missing properties to Clutter::Stage.

	*clutter/src/stage.hg: Added missing properties.

2011-01-15  Chris Kühl  <chrisk@openismus.com>

	Added constness to *Layout accessor member functions.

	* clutter/src/[bin|box|flow]-layout.hg: Added contness to member
	functions that I forgot earlier.

2011-01-15  Chris Kühl  <chrisk@openismus.com>

	Added missing properties to ClutterMedia.

	* clutter/src/media.hg Added subtitle-font-name & subtitle-uri properties.

2011-01-14  Chris Kühl  <chrisk@openismus.com>

	Added homogeneous property and related methods to BoxLayout.

	* clutter/src/box-layout.hg: Added homogeneous property and related
	methods to BoxLayout.
	* clutter/src/clutter_signals.defs: Added BoxLayout's homogeneous
	property.

2011-01-14  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterFlowLayout.

	* clutter/cluttermm.h: Added header file for new class.
	* clutter/src/flow-layout.[hg|ccg]: Initial wrapping of ClutterFlowLayout.
	* clutter/src/clutter_signals.defs: Added properties for new class.
	* clutter/src/filelist.am: Added new classes to files_hg list.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new class.
	* codegen/m4/convert_clutter.m4: Added enum conversion for FlowOrientation.

2011-01-14  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterBoxLayout.

	* clutter/cluttermm.h: Added header file for new class.
	* clutter/src/box-layout.[hg|ccg]: Initial wrapping of ClutterBoxLayout.
	* clutter/src/clutter_signals.defs: Added properties for new class.
	* clutter/src/filelist.am: Added new classes to files_hg list.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new class.
	* codegen/m4/convert_clutter.m4: Added enum conversion for BoxAlignment.

2011-01-13  Chris Kühl  <chrisk@openismus.com>

	Wrapped clutter_bin_layout_get_alignment.

	* clutter/src/bin-layout.hg: Wrapped clutter_bin_layout_get_alignment.
	* codegen/m4/convert_clutter.m4 Added conversion for ClutterBinAlignment.

2011-01-13  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterBinLayout.

	* clutter/cluttermm.h: Added header file for new class.
	* clutter/src/bin-layout.[hg|ccg]: Initial wrapping of ClutterBinLayout.
	* clutter/src/clutter_signals.defs: Added properties for new class.
	* clutter/src/filelist.am: Added new classes to files_hg list.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new class.
	* codegen/m4/convert_clutter.m4: Added enum conversion for BinAlignment.

2011-01-12  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterFixedLayout class.

	* clutter/cluttermm.h: Added header file for new class.
	* clutter/src/clutter_signals.defs: Added properties for new class.
	* clutter/src/filelist.am: Added new classes to files_hg list.
	* clutter/src/fixed-layout.[hg|ccg]: Initial wrapping for
	ClutterFixedLayout.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new class.

2011-01-12  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterBox class.

	* clutter/cluttermm.h: Added header file for new class.
	* clutter/src/clutter_signals.defs: Added properties for new class.
	* clutter/src/filelist.am: Added new classes to files_hg list.
	* clutter/src/box.[hg|ccg]: Initial wrapping for ClutterBox.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new class.

2011-01-10  Murray Cumming  <murrayc@murrayc.com>

	LayoutMeta: Make the constructor explicit.

	* clutter/src/layoutmeta.hg: Use the explicit keyword on the constructor,
	as we do elsewhere in *mm projects.

2011-01-10  Murray Cumming  <murrayc@murrayc.com>

	LayoutManager: Wrap the vfuncs.

	* clutter/src/clutter_vfuncs.defs: Fix a typo.
	* clutter/src/layout-manager.[hg|ccg]: Uncomment the _WRAP_VFUNC lines and
	correct them. But watch out - if I have made refcounting mistakes then this
	will cause crashes.

	* clutter/src/actor.hg: Move a conversion in to convert_clutter.m4 because
	it is not specific to the file, or dangerous to use generally.
	* codegen/m4/convert_clutter.m4: Remove some incorrect conversions.

2011-01-10  Chris Kühl  <chrisk@openismus.com>

	Initial wrapping of ClutterLayoutMeta and ClutterLayoutManager.

	* clutter/cluttermm.h: Added header files for new classes.
	* clutter/src/clutter_signals.defs: Added properties for new classes.
	* clutter/src/clutter_vfuncs.defs: Added vfunc definitions for
	LayoutManager.
	* clutter/src/filelist.am: Added new classes to files_hg list.
	* clutter/src/layout-manager.*g: Initial wrapping for
	ClutterLayoutManager.
	* clutter/src/layoutmeta.*g: Initial wrapping for
	ClutterLayoutMeta.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Added new classes.
	* codegen/m4/convert_clutter.m4: Added conversion for new classes.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Depend on necessary versions of atkmm and pangomm.

	* configure.ac: Depend on the versions of atkmm and pangomm that provide
	conversions in .m4 files, now that glibmm does not provide them implicitly.
	This is only relevant when building from git, however. The older versions
	would be OK when building from a tarball.

2011-01-07  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest glibmm.

	* configure.ac: Get and use the path to the atkmm and pangomm m4 files.
	* codegen/m4/convert.m4: Include the atkmm and pangomm m4 convert files.

	This requires the latest atkmm and pangomm.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with clutter git master.

	* clutter/src/backend.hg: Use no_default_handler with the signals,
	because ClutterBackendClass is now hidden.

2010-10-21  Chris Kühl  <chrisk@openismus.com>

	Fixed parameter names in Clutter::Cairo::Texture create function.

	* cairo-texture.hg: Changed create parameters from width and height
	to surface_width and surface_height, respectively.

2010-10-21  Chris Kühl  <chrisk@openismus.com>

	Fixed parameter names in Clutter::Cairo::Texture ctor.

	* cairo-texture.hg: Changed ctor parameters from width and height
	o surface_width and surface_height, respectively.

1.3.1:

2010-09-17  Chris Kühl  <chrisk@openismus.com>

	Fixed typo in Script::get_object (constverrsion != constversion)

	* clutter/src/script.hg: Fixed typo in get_object.

2010-09-17  Chris Kühl  <chrisk@openismus.com>

	Fixed reference counting issue with Alpha::get_timeline

	* clutter/src/alpha.hg: Added refreturn to get_timeline.

2010-09-15  Chris Kühl  <chrisk@openismus.com>

	Removed use of NULL and changed use of uint to guint.

	* clutter/src/behaviour.ccg: Removed use of NULL and
	changed uint to guint.
	* clutter/src/container.ccg:
	* clutter/src/score.ccg:
	* clutter/src/script.ccg:

2010-09-15  Chris Kühl  <chrisk@openismus.com>

	Corrected SlotAlphaFunc documentation.

	* clutter/src/alpha.hg: Corrected SlotAlphaFunc documentation.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Remove extra ; to avoid compiler warnings.

	* clutter/src/clone.hg:
	* clutter/src/rectangle.hg: Remove extra ;s.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Timeline: Fix a compilation warning.

	* clutter/src/timeline.ccg: Use the correct type in the for() loop.

2010-09-07  Chris Kühl  <chrisk@openismus.com>

	Fix issue with last commit where returned vectors were 2x intended size.

	* clutter/src/behaviour.ccg: Fixed vector size issue.
	* clutter/src/container.ccg: Fixed vector size issue.
	* clutter/src/score.ccg: Fixed vector size issue.
	* clutter/src/script.ccg: Fixed vector size issue.
	* clutter/src/timeline.ccg: Fixed vector size issue.

2010-09-07  Chris Kühl  <chrisk@openismus.com>

	Replaced use of Glib::*Handle containers with std::vector.

	* clutter/src/behaviour-path.[hg|ccg]: create_with_knots takes
	std::vector instead of Glib::ArrayHandle.
	* clutter/src/behaviour.[hg|ccg]: get_actor returns std::vector instead
	of Glib::SListHandle.
	* clutter/src/container.[hg|ccg]: get_children returns std::vector
	instead of Glib::ListHandle.
	* clutter/src/score.[hg|ccg]: list_timelines returns std::vector instead
	of Glib::ListHandle.
	* clutter/src/script.[hg|ccg]: add_search_path takes std::vector instead
	of Glib::ArrayHandle.
	* clutter/src/stage.[hg|ccg]: Removed trailing whitespace.
	* clutter/src/timeline.[hg|ccg]: list_markers returns std::vector instead
	of Glib::StringArrayHandle.

2010-09-02   Luca Wehrstedt  <lerks@users.sourceforge.net>

	Texture: Rename get_amx_tile_waste() to get_max_tile_waste()

	* clutter/src/texture.hg: Rename get_amx_tile_waste() to get_max_tile_waste(),
  fixing the typo.

2010-09-02  Murray Cumming  <murrayc@murrayc.com>>

	Actor: get_*() methods: Take a reference.

	* clutter/src/actor.hg: get_stage(), get_shader(), get_actor_by_uid(),
  get_action(), get_animation(): Use the refreturn parameter.
  This fixed bug #606569 - (Maurice van der Pot).

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	BehaviourEllipse: Fix the constructor.

	* clutter/src/behaviour-ellipse.[hg|ccg]: Correct the constructor, because
  it tried to use property names that did not exist.
  This fixes bug #615151 (Jonatan).

2010-09-02  Chris Kühl  <chrisk@openismus.com>

	Added custom default ctor to Knot class.

	* clutter/src/types.hg: Needed changes to add custom default ctor.
	* clutter/src/types/ccg: Implementation of custom default ctor.

2010-08-27  Chris Kühl  <chrisk@openismus.com>

	Added previously removed pick_vfunc to Actor class.

	* clutter/src/action.hg: One-liner to add back pick_vfunc.

2010-08-02  Murray Cumming  <murrayc@murrayc.com>

	Added Effect and related Actor methods.

	* clutter/src/filelist.am:
	* clutter/src/effect.[hg|ccg]: Added Effect.
	* clutter/src/actor.hg: Added add_effect(), remove_effect(), get_effect().

2010-08-02  Murray Cumming  <murrayc@murrayc.com>

	Wrapped some new functions.

	* configure.ac: Depend on atkmm, so we can use Atk::Object in the API.
	(This could be optional at configure time if anybody needs that, as it is
	in gtkmm.)
	* clutter/src/clutter_methods.defs: Regenerated with h2defs.py.
	* clutter/src/filelist.am:
	* clutter/src/actor-meta.[hg|ccg]:
	* clutter/src/action.[hg|ccg]: Added new ActorMeta and Action classes.
	* clutter/src/actor.[hg|ccg]: Added get/set_clip_to_allocation(), contains(),
	get_has_allocation(), get_accessible(), add_action(), remove_action(),
	get_action(), clear_actions().
	* clutter/src/animation.hg: set_duration(): Correct the parameter type to
	guint, as corrected in the C API.
	* clutter/src/path.hg: Added foreach().
	* clutter/src/stage.hg: Addef get/set_no_clear_hint().
	* clutter/src/texture.hg: Added get/set_pick_with_alpha().

0.9.6:

2010-05-05  Murray Cumming  <murrayc@murrayc-x61>

	Documentation improvement.

	* clutter/cluttermm.pc.in: Correct htmlrefpub so clutter-gtkmm's documentation
	can link to the library.gnome.org cluttermm documentation.
	* clutter/src/stage.hg: Added class documentation based on the C docs.

2010-05-05  Murray Cumming  <murrayc@murrayc.com>

	Small API additions.

	* clutter/src/stage.hg: Added delete_event signal.
	* clutter/src/text.hg: Added font_description property.

2010-05-05  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Main page improvements.

	* clutter/cluttermm.h: Improve the text slightly and link to Stage, Actor,
    and the cluttermm tutorial.

2010-04-27  David King  <davidk@openismus.com>

	Add main page to Doxygen documentation

	* doc/Makefile.am: Parse clutter/cluttermm.h for documentation.
	* clutter/cluttermm.h: Add main page to Doxygen documentation.

2010-04-19  Murray Cumming  <murrayc@murrayc.com>

	Actor, Animation: Updated signals and propeties for clutter 1.2.

	* clutter/src/actor.hg: Added new signals and new properties, correcting
	types of existing properties.
	* clutter/src/animation.hg: Added new properties.

2010-04-18  Murray Cumming  <murrayc@murrayc.com>

	Wrapped more new clutter 1.2 API.

	* clutter/src/animation.hg:
	* clutter/src/behaviour-ellipse.hg:
	* clutter/src/behaviour-rotate.hg:
	* clutter/src/behaviour-scale.hg:
	* clutter/src/clutter_methods.defs:
	* clutter/src/media.hg:
	* clutter/src/script.hg:
	* clutter/src/stage.hg:
	* clutter/src/text.hg:
	* clutter/src/timeline.hg:
	* clutter/src/types.[hg|ccg]: Added new (clutter 1.2) methods and
	removed mentions of clutter funcitons that were removed (probably in clutter
	1.0).

2010-04-18  Murray Cumming  <murrayc@murrayc.com>

	Actor: Wrapped new clutter 1.2 API.

	* clutter/src/clutter_enums.defs: Really regenerated with enums.pl
	* clutter/src/types.hg: Added TextDirection.
	* clutter/src/actor.[hg|ccg]: Added new methods from clutter 1.2.

2010-04-18  Murray Cumming  <murrayc@murray.com>

	Regenerated .defs files.

	* clutter/src/clutter_methods.defs: Regenerate with h2defs.py, against
	clutter-1.2.
	* clutter/src/clutter_enums.defs: Regenerate with enums.pl
	* clutter/src/clutter_signals.defs: Regenerated with extra_defs_gen.
	* clutter/src/clutter_docs.xml: Regenerate with docextract_to_xml.py.

2010-04-16  Murray Cumming  <murrayc@murrayc.com>

    Remove deprecated function (we are not API stable).

    * clutter/cluttermm.h
    * clutter/filelist.am
	* clutter/cluttermm/utility.[h|cc]: Remove the utility.h API because
    it only wraps one function that is now deprecated in clutter 1.2.

0.9.5:

2009-10-03  Daniel Elstner  <daniel.kitta@gmail.com>

	Increment cluttermm API version to 1.0

	* configure.ac (MM_INIT_MODULE): Change the module name from
	cluttermm-0.9 to cluttermm-1.0, following clutter.  Note that this
	does not imply that cluttermm has reached API or ABI stability.

2009-10-02  Daniel Elstner  <danielk@openismus.com>

	Correct bad code pointed out by compiler warnings

	* clutter/src/timeline.{ccg,hg} (Timeline::Timeline): Implement the
	constructor manually, because the parameter names do not match the
	names of the corresponding properties.  Also, adjust the signature to
	the new ClutterTimeline API.
	(Timeline::create): Change signature to match the constructor.
	* clutter/cluttermm/{frame-source,threads}.cc: Add missing inline and
	static keywords, and slightly clean up the code.
	(SourceConnectionNode::notify): Actually return a defined value.
	* examples/test-actors.cc (main), tests/test-alpha-creation.cc (main):
	Adjust for the new Clutter::Timeline::create() API.
	* tests/test-alpha-func.cc (on_alpha): Remove unused parameter name.
	(main): Adapt to Clutter::Timeline::create() API change.

2009-10-02  Daniel Elstner  <danielk@openismus.com>

	Adopt new mm-common build infrastructure

	* build/: Rename directory from scripts/ and delete the obsolete
	M4 macros and build files.
	* codegen/: Rename directory from tools/.
	* codegen/extradefs/: Rename from tools/extra_defs_gen/.
	* codegen/extradefs/generate_extra_defs_clutter.cc: Rename from
	tools/extra_defs_gen/generate_defs_clutter to match the name of
	the executable.
	* doc/: Rename directory from docs/.
	* build_shared/: Delete obsolete build support files.
	* autogen.sh: Replace with minimal script based on autoreconf.
	* configure.ac: Rename from configure.in and rewrite for mm-common.
	* Makefile.am, doc/Makefile.am, examples/Makefile.am,
	clutter/src/Makefile.am, clutter/cluttermm/Makefile.am,
	tests/Makefile.am: Replace with mm-common skeleton build files
	adapted for cluttermm.
	* codegen/Makefile.am: Replace with skeleton file adapted for
	cluttermm.  Do not install convert.m4 along with the public macro
	files for gmmproc.
	* codegen/m4/filelist.am, clutter/src/filelist.am,
	clutter/cluttermm/filelist.am: New Automake include files listing
	the cluttermm source files.
	* codegen/m4/convert_cairo.m4: Rename from convert_cairomm.m4.
	* codegen/m4/convert_clutter.m4: Rename from convert_cluttermm.m4.
	* codegen/m4/convert_cogl.m4: Rename from convert_coglmm.m4.
	* codegen/m4/convert.m4: Include M4 files by their new name.
	* clutter/Makefile.am, clutter/src/Makefile_list_of_hg.am_fragment,
	clutter/cluttermm/private/Makefile.am, docs/Makefile_web.am_fragment,
	docs/reference/Makefile.am, examples/Makefile.am_fragment,
	tools/Makefile_list_of_sources.am_fragment, tools/m4/Makefile.am,
	tools/m4/Makefile_list_of_sources.am_fragment,
	tools/extra_defs_gen/Makefile.am: Delete obsolete files.
	* clutter/cluttermm.pc.in: Merge the modernized skeleton pkg-config
	file from mm-common.
	* clutter/cluttermm-uninstalled.pc.in: New pkg-config data file for
	linking to an uninstalled build of cluttermm.
	* clutter/cluttermmconfig.h.in: Remove all non-namespaced macros,
	leaving only the cluttermm version number components.
	* clutter/cluttermm.h: Clean up a bit and include cluttermmconfig.h.
	Remove extern declarations of the runtime version number components
	as they don't appear to be defined anywhere.
	* doc/reference/Doxyfile.in: Replace file with mm-common skeleton
	Doxygen configuration, adapted for cluttermm.
	* clutter/README, docs/reference/README, examples/README.txt,
	tools/m4/README: Delete useless or empty text files.

2009-08-26  Murray Cumming  <murrayc@murrayc.com>

	* clutter/cluttermm.pc.in: Depend on clutter-1.0 rather than clutter-0.9.

2009-08-26  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Use clutter-1.0 instead of clutter-0.9.
	* clutter/src/clutter_methods.defs:
	* clutter/src/clutter_enums.defs: Regenerated.

2009-07-29  Siavash Safi  <siavashs@siavashs.org>

	patch by: Milosz Derezynski <internalerror@gmail.com>

	Removed Deprecated methods from Actor.

	* clutter/src/actor.hg: Removed get_allocation_coords(),
	pick(), should_pick_paint()

0.9.4:

2009-06-25  Murray Cumming  <murrayc@murrayc.com>

	Fix the build by adapting to the latest clutter API.

	* clutter/src/clutter_methods.defs: Regenerated with h2defs.py
	* clutter/src/clutter_enums.defs: Regenerated with enums.pl
	* clutter/src/clutter_docs.xml:	Regenerated with docextract_to_xml.py
	* clutter/src/clutter_vfuncs.defs:
	* tools/m4/convert_cluttermm.m4: Made changes by hand.

	* clutter/src/actor.[hg|ccg]:
	Use float instead of guint/int or ClutterUnit for most things.
	Remove the *u() versions of the methods.
	Remove the focus_in() and focus_out() vfuncs.
	* clutter/src/layout.hg: vfuncs: Use float instead of Unit.
	* clutter/src/stage.hg: get_actor_at_pos(): Added the pick_mode parameter.
	* clutter/src/timeline.hg|ccg]: get_delta(): Remove the duration parameter.
	* clutter/src/types.[hg|ccg]: Remove Clutter::Unit.
	* clutter/cluttermm/event.[h|cc]: key_event_code(), key_event_symbol(),
	key_event_unicode(): Renamed to key_event_get_code(), key_event_get_symbol(),
	key_event_get_unicode().
	* clutter/cluttermm/main.cc:
	* clutter/cluttermm/main.h: Removed get/set_motion_events_frequency().
	* examples/test-actors.cc: Adapted.

2009-06-04  Siavash Safi  <siavash@siavashs.org>

	* .gitignore:
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/backend.ccg:
	* clutter/src/backend.hg: Add Clutter::Backend
	* tools/m4/convert_cairomm.m4:
	* tools/m4/convert_cluttermm.m4:

2009-06-04  Siavash Safi  <siavash@siavashs.org>

	* clutter/src/clutter_docs.xml:
	* clutter/src/clutter_enums.defs:
	* clutter/src/clutter_methods.defs:
	* clutter/src/clutter_signals.defs: Regenerate all defs.
	* clutter/src/texture.hg: Wrap new methods and properties.

0.9.3:

2009-05-15  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/actor.[hg|ccg]: animate_with_timeline(), animate_with_alpha():
	Rename to animate().
	* tests/Makefile.am: Fix a typo to fix distcheck.

2009-05-15  Siavash Safi  <siavash@siavashs.org>

	* .gitignore:
	* clutter/src/animation.hg: Do not use _DERIVES_INITIALLY_UNOWNED because of
	the changes in the C API, Wrap started() signal
	* clutter/src/cairo-texture.hg: Add clear() method
	* clutter/src/clutter_docs.xml:
	* clutter/src/clutter_methods.defs:
	* clutter/src/clutter_signals.defs: Regenerate all defs
	* clutter/src/text.ccg:
	* clutter/src/text.hg: Wrap new methods and properties
	* configure.in: Increase version and required clutter version to 0.9.3

2009-04-27  Siavash Safi  <siavash@siavashs.org>

	* clutter/src/actor.hg: Reverted overloaded methods for now since
	it's ambiguous for the compiler.

2009-04-11  Siavash Safi  <siavash@siavashs.org>

	* trunk/clutter/src/cairo-texture.ccg:
	* trunk/clutter/src/cairo-texture.hg: Added the Cairo API
	* trunk/tools/m4/convert_cairomm.m4:
	* clutter/cluttermm.h:
	* clutter/cluttermm/main.cc:
	* clutter/cluttermm/main.h: Added get_font_map()
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/alpha.ccg: Remove Deprecated API which is replaced by
	the Animation API
	* clutter/src/color.hg: Ignored clutter_color_from_string() which
	is already hand coded
	* clutter/src/media.hg: Added set/get_progress() methods and progress
	property
	* clutter/src/path.hg: Hand coded PathNodeType enum, added Cairo API and
	clear(), get_position() methods
	* clutter/src/script.ccg:
	* clutter/src/script.hg: Added add_search_paths() and lookup_filename()
	methods
	* clutter/src/shader.hg: Added Cogl API
	* clutter/src/stage.hg: Added ensure_viewport()
	* clutter/src/texture.hg: Added Cogl API
	* tools/m4/Makefile_list_of_sources.am_fragment:
	* tools/m4/convert.m4:

2009-04-10  Siavash Safi  <siavash@siavashs.org>

	* trunk/clutter/src/actor.ccg:
	* trunk/clutter/src/actor.hg: Wrapped the new API, Overloaded
	set/get methods

2009-04-06  Siavash Safi  <siavash@siavashs.org>

	* trunk/clutter/src/clutter_methods.defs:
	* trunk/clutter/src/clutter_signals.defs: Regenerated .defs
	* trunk/clutter/src/text.hg: Wrapped the new API
	* trunk/tools/m4/convert_cluttermm.m4:

2009-03-28  Siavash Safi  <siavash@siavashs.org>

	* clutter/src/animation.ccg:
	* clutter/src/animation.hg: Added Clutter::Animation
	* clutter/src/interval.ccg:
	* clutter/src/interval.hg: Added Clutter::Interval
	* clutter/cluttermm.h:
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/clutter_docs.xml: Regenerated
	* clutter/src/clutter_enums.defs: Regenerated
	* clutter/src/clutter_methods.defs: Regenerated
	* clutter/src/clutter_signals.defs: Regenerated and modified by hand to
	Support all Events
	* tests/Makefile.am:
	* tests/test-interval-creation.cc: Test Clutter::Interval creation
	* tools/extra_defs_gen/generate_defs_clutter.cc:
	* tools/m4/convert_cluttermm.m4:

2009-03-14  Siavash Safi  <siavash@siavashs.org>

	* clutter/src/clutter_methods.defs: Regenerated
	* clutter/src/actor.hg:
	* clutter/src/behaviour-ellipse.hg:
	* clutter/src/behaviour-rotate.hg:
	* clutter/src/behaviour-scale.hg
	* clutter/src/color.ccg:
	* clutter/src/color.hg:
	* clutter/src/media.hg:
	* clutter/src/stage.ccg:
	* clutter/src/stage.hg:
	* clutter/src/text.hg:
	* clutter/src/timeline.hg:
	* clutter/src/types.hg: Replaced Clutter::Fixed with Cogl Fixed,
	Removed Depricated methods, Updated changed methods
	* tools/extra_defs_gen/generate_defs_clutter.cc:
	* tools/m4/convert_cluttermm.m4: Removed Clutter:Fixed conversions
	* tools/m4/convert.m4:
	* tools/m4/Makefile_list_of_sources.am_fragment:
	* cluttermm/trunk/tools/m4/convert_coglmm.m4: Added Cogl::Fixed conversions

0.9.0:

2009-02-16  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/clutter_signals.defs: Regenerate, and merge the manual
	changes made to the old file.

2009-02-13  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_clutter.cc: Add new types.
	* clutter/src/clutter_methods.defs: Regenerated.

	* clutter/src/clutter_enums.defs:
	* clutter/src/clutter_vfuncs.defs: Hand-changed some parts.

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/cluttermm.h: Adjusted for removed files.

	* clutter/src/types.hg: Added FontFlags.
	* clutter/cluttermm/main.[h|cc]: Replaced get/set_use_mipmapped_text()
	with get/set_font_flags().

	* clutter/src/alpha.[hg|ccg]: Added a constructor and create() to take
	the animation mode.
	* clutter/src/behaviour.hg: Replace some guints with doubles.
	* clutter/src/clone.hg: Renamed from clone-texture.hg (CloneTexture).

	* clutter/src/media.hg: Remove vfuncs, which have been removed from
	the C API.

	* clutter/src/effectstemplate.[hg|ccg|: Removed.
	* examples/Makefile.am: Remove effects example. We must replace this
	with an example of the new animation API.

	* examples/test-actors.cc:
	* tests/test-alpha-creation.cc: Use the AnimationMode instead of
	standard callback functions (now removed).

2009-01-24  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

2009-01-14  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/childmeta.hg (_ClutterChildMeta): Remove redundant
	forward declaration and typedef.

2009-01-13  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/box.{ccg,hg}: Remove file, as ClutterBox is no more.
	* clutter/src/margin.{ccg,hg}: Same for ClutterMargin.

2009-01-13  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/childmeta.{ccg,hg}: New files, implementing the
	Clutter::ChildMeta wrapper class for ClutterChildMeta.
	* clutter/src/Makefile_list_of_hg.am_fragment (files_hg): Add
	childmeta.hg.
	* tools/extra_defs_gen/generate_defs_clutter.cc: Add
	CLUTTER_TYPE_CHILD_META.
	* clutter/src/clutter_signals.defs: Regenerate and merge.
	* clutter/src/container.hg (Container): Wrap methods and vfuncs
	dealing with per-child meta data.
	* tools/m4/convert_cluttermm.m4: Add conversion for the newly added
	ChildMeta wrapper class, and also a couple of const variations for
	other types.

2009-01-13  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/behaviour-path.hg (BehaviourPath::[gs]et_path): Wrap.

2009-01-13  Daniel Elstner  <danielk@openismus.com>

	* tools/extra_defs_gen/generate_defs_clutter.cc:
	Add CLUTTER_TYPE_PATH.
	* clutter/src/clutter_enums.defs: Regenerate and merge manual
	changes.
	* clutter/src/clutter_methods.defs: ditto,
	* clutter/src/clutter_signals.defs: ditto.

2009-01-09  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/actor.hg (Actor): Wrap all of the missing methods
	listed by gmmproc, except for clutter_actor_destroy(), for which
	we would first need to check whether we want to wrap it.
	* tools/m4/convert_cluttermm.m4 (const Pango::Context): Add
	conversion.

2009-01-09  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/alpha.hg (Alpha::[gs]et_mode): Wrap new methods.
	* clutter/src/types.hg (AnimationMode): Wrap new enum.
	* tools/m4/convert_cluttermm.m4 (AnimationMode): Add conversions.

2009-01-09  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/clutter_methods.defs: Regenerate.
	* clutter/src/clutter_enums.defs: Regenerate and merge manual
	changes.
	* clutter/src/clutter_signals.defs: ditto.
	* clutter/src/clutter_vfuncs.defs: Remove ClutterEntry vfuncs.

	* clutter/src/text.{ccg,hg}: New files.  Clutter::Text is a new
	actor that replaces both Clutter::Entry and Clutter::Label.
	* clutter/src/entry.{ccg,hg}: Remove files.
	* clutter/src/label.{ccg,hg}: ditto.

	* clutter/cluttermm.h: Remove entry.h and label.h.  Add text.h.
	* clutter/src/Makefile_list_of_hg.am_fragment (files_hg): Remove
	entry.hg and label.hg.  Add text.hg.
	* tools/extra_defs_gen/generate_defs_clutter.cc: Remove lookup of
	CLUTTER_TYPE_ENTRY and CLUTTER_TYPE_LABEL.  Add CLUTTER_TYPE_TEXT.

	* tools/m4/convert_cluttermm.m4: Add conversions from/to
	ClutterGeometry.

2009-01-06  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am:
	* docs/Makefile_web.am_fragment:
	* docs/reference/Makefile.am: Quick-but-kind-of-works upload of
	the documentation. We really need to get library.gnome.org working for us.
	There are no inter-links yet, for instance to glibmm - that needs us to
	arrange the Doxygen tags as done already elsewhere.

2008-12-29  Daniel Elstner  <danielk@openismus.com>

	* configure.in: Bump version number to 0.9.0.

2008-12-29  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/actor.hg (Actor::pick): Make public because custom
	container implementations need to call this method.
	(Actor::should_pick_paint): ditto.

2008-12-29  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/container.{ccg,hg} (Container::actor_added): New method
	which emits the "actor-added" signal.  This precludes the need to use
	the GObject API directly when implementing a custom container in C++.
	(Container::actor_removed): Likewise for the "actor-removed" signal.

2008-12-24  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/actor.{ccg,hg} (ActorFlags): Wrap enumeration.
	({set,unset,get}_flags): Implement missing accessors.
	(is_{mapped,realized,visible,reactive}): ditto.
	* tools/m4/convert_cluttermm.m4 (ActorFlags): Add generic
	enumeration conversions and a special conversion from guint32.

2008-12-24  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/box.hg (PackType): Remove NO_GTYPE flag passed to
	_WRAP_ENUM(), because the enumeration in question clearly has a
	GObject type and associated _get_type() function.
	* clutter/src/layout.hg (LayoutFlags): ditto,
	* clutter/src/path.hg (PathNodeType): ditto,
	* clutter/src/texture.hg (TextureFlags): ditto,
	(TextureQuality): ditto,
	* clutter/src/timeline.hg (TimelineDirection): ditto,
	* clutter/src/types.hg (RotateDirection): ditto,
	(RotateAxis): ditto,
	(Gravity): ditto,
	(RequestMode): ditto.

2008-12-24  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/texture.hg (Texture::*): Revert to use guchar instead
	of guint8 to stay consistent with the Clutter C API.

2008-12-23  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/texture.{ccg,hg} (Texture::set_from_file): Replace
	Glib::ustring parameter type by std::string.  Filenames have no
	defined character encoding!
	* clutter/src/texture.{ccg,hg} (Texture::create_from_file): Add it.
	The justification for not wrapping clutter_texture_new_from_file()
	might apply to the constructor, but I don't see how it applies to
	the create method.
	(Texture::*): Replace uses of guchar for binary data with guint8.
	It's got nothing to do with character strings.
	* tools/m4/convert_cluttermm.m4: Add _EQUAL() conversions between
	guint8 and guchar.

2008-12-22  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/effecttemplate.{ccg,hg} (EffectTemplate::path): Remove
	method overload again and use a default argument instead, in order
	to avoid combinatorial explosion.  But install the slot callback
	only if a non-default argument has been passed.
	(EffectTemplate::fade): Add default argument for 'func' and runtime
	check, as above.
	(EffectTemplate::depth): ditto,
	(EffectTemplate::move): ditto,
	(EffectTemplate::scale): ditto,
	(EffectTemplate::rotate): ditto.

2008-12-22  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/alpha.hg (Alpha::MAX_ALPHA): Add constant.

2008-12-22  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/effecttemplate.{ccg,hg} (EffectTemplate::path):
	Add method overload without the 'func' parameter.

2008-12-22  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/types.{ccg,hg} (Knot): Use _WRAP_EQUAL() to auto-
	generate the (in-)equality operators.

2008-12-22  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/types.{ccg,hg} (Knot::set_*): Implement manually
	to avoid pointless indirection in argument passing.
	(Geometry::set_*): ditto.
	(Knot::set_xy): New convenience accessor.
	(Geometry::set_xy): ditto,
	(Geometry::set_size): ditto.

2008-12-22  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/behaviour-path.ccg
	(BehaviourPath::create_with_description): Implement.

2008-12-22  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/effecttemplate.{ccg,hg} (EffectTemplate::path):
	Use C++ container wrapper instead of a POD array.

2008-12-18  Daniel Elstner  <danielk@openismus.com>

	* clutter/cluttermm.h (behaviour-bspline.h): Remove.
	(path.h): Add.

2008-12-18  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/path.{ccg,hg} (Path): Wrap add_*() methods.
	(Path::Nodes): Implement basic container access operations.

2008-12-18  Daniel Elstner  <danielk@openismus.com>

	* tests/test-alpha-creation.cc: Kill cruft.  The test case still
	seems a bit odd though since it creates a Behaviour which is never
	used.

2008-12-18  Daniel Elstner  <danielk@openismus.com>

	* tests/test-actors.cc: Adapt to new syntax of Clutter::Alpha
	convenience functions.
	* tests/test-alpha-creation.cc: ditto,
	* examples/effect.cc: ditto.

2008-12-18  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/behaviour-path.{ccg,hg} (BehaviourPath): Switch to
	the new Clutter::Path interface.

2008-12-18  Daniel Elstner  <danielk@openismus.com>

	* clutter/tools/convert_cluttermm.m4: Add conversions to and from
	Clutter::Path.

2008-12-18  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/alpha.{ccg,hg} (ALPHA_*): Replace global slot objects
	for the convenience alpha functions by ordinary static methods of
	class Alpha.  This is just as easy to use but simpler and without
	the trouble associated with the runtime initialization  of global
	objects in dynamic libraries.  Also adapt the code to the additions
	and syntax changes in the Clutter API.
	(Alpha::Alpha): Remove the ctor which takes a plain ClutterFunction
	argument.  If absolutely necessary, there is always the C API.

2008-12-18  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/path.{ccg,hg} (Path::Nodes): New proxy container class
	which implements an STL-style interface to the PathNodes of a Path.
	(Path::Nodes::reference): New proxy "reference" class which enables
	write access to a Path through iterators or array subscripting.
	(Path::Nodes::const_iterator): New random access iterator type.
	(Path::Nodes::iterator): New writable random access iterator type.

2008-12-16  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/alpha.{ccg,hg}: Temporarily disable the global
	ALPHA_* function slots.  The code needs to be reworked as the
	corresponding Clutter API has changed, and also because I don't
	like it.
	This removes the last obstacle to get cluttermm itself to build
	again.  The examples still fail to compile, though.

2008-12-16  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/behaviour-path.{ccg,hg}: Remove wrapper methods
	for functionality that was moved into the separate ClutterPath
	class.  Builds now but needs more work.

2008-12-16  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/score.{ccg,hg}: Change uses of guint to gulong,
	following an API change in Clutter.

2008-12-16  Daniel Elstner  <danielk@openismus.com>

	* tools/m4/convert_cluttermm.m4 (BehaviourBspline): Remove
	conversions, as the class doesn't exist anymore.
	(Vertex): Add missing conversions.

2008-12-16  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/behaviour-bspline.{ccg,hg}: Remove files, as
	the functionality was merged into BehaviourPath.
	* clutter/src/path.{ccg,hg}: New files wrapping ClutterPath
	and auxiliary types.  Not complete yet.
	* clutter/src/Makefile_list_of_hg.am_fragment: Remove old
	and add new files listed above.

2008-12-16  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/clutter_enums.defs: Regenerate.
	(PathNodeType): Hand-edit definition.
	(TokenType): Likewise.
	* clutter/src/clutter_methods.defs: Regenerate.
	* clutter/src/clutter_signals.defs: Regenerate.
	(Actor::*event): Hand-edit signal parameter types.

2008-12-12  Daniel Elstner  <danielk@openismus.com>

	* clutter/src/actor.hg (Actor::set_shader_param): Replace with
	generic template method to accommodate an API change in clutter.
	Doesn't build yet as the .defs still need to be regenerated.

2008-12-12  Daniel Elstner  <danielk@openismus.com>

	* tools/extra_defs_gen/generate_defs_clutter.cc: Remove reference
	to CLUTTER_TYPE_BEHAVIOUR_BSPLINE as it has been merged with the
	path behavior.
	* clutter/src/Makefile_list_of_hg.am_fragment: Remove
	behaviour-bspline.hg from the list of files.

2008-11-04  Piotr Rak <piotr.rak@gmail.com>

	* clutter/src/behaviour-depth.hg: Constructor: Rename parameter names,
	so that gmmproc uses the correct GObject property names.
	Bug #559176

2008-11-03   Piotr Rak <piotr.rak@gmail.com>

	* configure.in: Use clutter-0.9 instead of clutter-0.8.
	* clutter/cluttermm/event.h:
	* clutter/cluttermm/frame-source.cc:
	* clutter/src/actor.ccg:
	* clutter/src/actor.hg:
	* clutter/src/alpha.ccg:
	* clutter/src/alpha.hg:
	* clutter/src/behaviour-bspline.ccg:
	* clutter/src/behaviour-depth.ccg:
	* clutter/src/behaviour-ellipse.ccg:
	* clutter/src/behaviour-opacity.ccg:
	* clutter/src/behaviour-path.ccg:
	* clutter/src/behaviour-rotate.ccg:
	* clutter/src/behaviour-scale.ccg:
	* clutter/src/behaviour.ccg:
	* clutter/src/clone-texture.ccg:
	* clutter/src/container.ccg:
	* clutter/src/container.hg:
	* clutter/src/effecttemplate.ccg:
	* clutter/src/entry.ccg:
	* clutter/src/group.ccg:
	* clutter/src/label.ccg:
	* clutter/src/media.hg:
	* clutter/src/rectangle.ccg:
	* clutter/src/score.ccg:
	* clutter/src/score.hg:
	* clutter/src/script.ccg:
	* clutter/src/script.hg:
	* clutter/src/scriptable.ccg:
	* clutter/src/scriptable.hg:
	* clutter/src/shader.hg:
	* clutter/src/stage.ccg:
	* clutter/src/stage.hg:
	* clutter/src/texture.ccg:
	* clutter/src/texture.hg:
	* clutter/src/timeline.ccg:
	* clutter/src/types.ccg:
	* clutter/src/types.hg: Include clutter.h instead of individual files,
	as required by clutter-0.9.
	Bug #559176

This is is trunk, for cluttermm-0.9. See also the cluttermm-0.8 branch.

2008-11-03   Piotr Rak <piotr.rak@gmail.com>

	* clutter/src/behaviour-path.hg: Remove a parameter name to avoid
	a g++ warning about the unused parameter.
	Bug #558873.

0.7.4:

2008-10-17  Murray Cumming  <murrayc@murrayc.com>

	* clutter/cluttermm.h:
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/timeout-pool.ccg:
	* clutter/src/timeout-pool.hg: Removed the TimeoutPool class,
	because ClutterTimeoutPool is not real public API
	according to http://bugzilla.o-hand.com/show_bug.cgi?id=1154 .

2008-09-23  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/timeout-pool.ccg:
	* clutter/src/timeout-pool.hg: Implement the constructor.
	Bug #553157 (Cristi Posoiu)
	Added a destructor, though it is not clear how we should free the
	C struct. See http://bugzilla.o-hand.com/show_bug.cgi?id=1154

2008-09-23  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/timeline.hg: Constructor: Rename the msecs parameter
	to duration so that the implementation uses the correct property name.
	Bug #553157 (Cristi Posoiu)

2008-08-11  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/types.hg: Added some default parameter values for
	constructors.

0.7.3:

2008-08-10  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/container.ccg:
	* clutter/src/container.hg: get_child_property(),
	set_child_property(): Correct the implementation to fix
	a compile error when using these templated methods.

2008-08-04  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/container.ccg:
	* clutter/src/container.hg: Added get/set_child_property<>() and
	get/set_child_property_value(), using the same technique as
	Glib::ObjectBase::get/set_property().

2008-07-30  Murray Cumming  <murrayc@murrayc.com>

	* examples/simple-cairo.cc: Removed this. It was not
	being built and it is now in clutter-cairomm anyway.
	* examples/effect.cc:
	* examples/test-actors.cc:
	* examples/test-boxes.cc: Corrected the syntax
	formatting.

0.7.2:

2008-07-23  Siavash Safi  <siavash.safi@gmail.com>

	* clutter/cluttermm.pc.in: Added pangomm

0.7.1:

2008-07-14  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* clutter-cairo/
	* clutter/cluttermm.pc.in:
	* clutter/cluttermm/init.cc:
	* clutter/src/stage.hg:
	* clutter/src/texture.hg:
	* configure.in:
	* examples/Makefile.am:
	* examples/Makefile.am_fragment:
	* examples/flowers.cc:
	* tools/extra_defs_gen/Makefile.am:
	* tools/extra_defs_gen/generate_defs_clutter.cc:
	* tools/extra_defs_gen/generate_defs_clutter_cairo.cc:
	Moved clutter-cairomm into a separate module, though we
	still depend on cairomm because we depend on pangomm (which depends on
	cairomm to wrap pango-cairo sensibly).

2008-07-14  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* clutter-gtk/
	* configure.in:
	* examples/Makefile.am:
	* examples/Makefile.am_fragment:
	* examples/embed-gtk.cc: Moved clutter-gtkmm into a separate module,
	because someone did not want to use gtkmm.
	clutter-cairomm is still there, but maybe we should remove that too.

	Ths does not actually build yet because clutter-cairo-0.8 does not exist yet.

2008-07-05  Armin Burgmeier  <armin@openismus.com>

	* configure.in: Post-release version bump to 0.7.1.

0.7.0:

2008-07-05  Armin Burgmeier  <armin@openismus.com>

	* clutter/cluttermm/init.h:
	* clutter/cluttermm/init.cc: Commented out the init() overload that
	takes a Glib::OptionContext& since for this to work we need a clutter
	release with clutter bug #1033 fixed.

	* clutter/examples/test-actors.cc: Use the normal init() for now,
	don't accepting the -n command line argument.

2008-07-05  Armin Burgmeier  <armin@openismus.com>

	* clutter/cluttermm/event.h:
	* clutter/cluttermm/event.cc: Wrapped some of the clutter_event_*
	functions. Don't wrap those taking a raw ClutterEvent* for now since
	"derived" events such as ClutterEventKey would need an ugly
	reinterpret_cast<> to use those functions anyway. We should probably
	think of a cleverer API for this.

	* clutter/cluttermm/Makefile.am: Add the new files to the build.

	* clutter/cluttermm.h: Include cluttermm/event.h.

	* clutter/src/actor.hg:
	* clutter/src/types.hg: Moved event typedefs from actor.hg to
	types.hg.

	* clutter/src/behaviour-scale.hg: Fixed order of arguments in
	constructors and create functions to match the order of
	clutter_behaviour_scale_new and the set_bounds functions.

	* clutter/cluttermm/init.h:
	* clutter/cluttermm/init.cc: Removed the Clutter::init overload that
	takes an array of Glib::OptionEntry objects since that could not be
	actually used in C++, because in C++ we need a Glib::OptionGroup to
	associate a variable to an entry. Instead, take a Context that is used
	to parse the arguments, as gtkmm does.

	* clutter/cluttermm/frame-source.cc: Include
	<clutter/clutter-frame-source.h> explicitely since this is not
	included from <clutter/clutter.h>. See clutter bug #1019.

	* examples/effect.cc:
	* examples/flowers.cc:
	* examples/test-actors.cc:
	* examples/simple-cairo.cc: Make use of the new C++ API to remove most
	of the C stuff the examples were still using.

2008-06-30  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/timeout-pool.hg:
	* clutter/src/timeout-pool.ccg: Wrapped ClutterTimeoutPool.

	* clutter/cluttermm/frame-source.h:
	* clutter/cluttermm/frame-source.cc: Wrapped clutter_frame_source_add.

	* clutter/cluttermm/main.h:
	* clutter/cluttermm/main.cc: Wrapped the pointer grabbing/ungrabbing
	functions.

	* clutter/cluttermm/threads.h: Fix documentation.

	* clutter/cluttermm/utility.cc:
	* clutter/cluttermm/utility.h: Wrapped clutter_util_next_p2.

	* clutter/cluttermm/Makefile.am:
	* clutter/src/Makefile_list_of_hg.am_fragment: Added new files to
	build.

	* clutter/cluttermm.h: Added new includes.

2008-06-30  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/types.hg: Wrap ClutterInitError.

	* clutter/cluttermm/init.h:
	* clutter/cluttermm/init.cc: Allow reference parameters for init(),
	wrapped clutter_init_with_args, throw InitError if the initialization
	fails.

	* clutter/cluttermm/main.h:
	* clutter/cluttermm/main.cc: Wrapped clutter_main_* functions.

	* clutter/cluttermm/utility.h:
	* clutter/cluttermm/utility.cc: Wrapped clutter_get_debug_enabled,
	clutter_get_show_fps, clutter_get_timestamp, clutter_get_actor_by_gid,
	clutter_set_default_frame_rate, clutter_get_default_frame_rate,
	clutter_set_motion_events_enabled, clutter_get_motion_events_enabled,
	clutter_set_motion_events_frequency,
	clutter_get_motion_events_frequency, clutter_clear_glyph_cache,
	clutter_set_use_mipmapped_text and clutter_get_use_mipmapped_text.

	* clutter/cluttermm/threads.h:
	* clutter/cluttermm/threads.cc: Wrapped the clutter_threads_*
	functions.

	* clutter/cluttermm.h: Added the new header files.

	* clutter/cluttermm/Makefile.am: Added new files to the build.

2008-06-22  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/script.ccg: Fixed a typo so that the vfuncs is actually
	used.

	* clutter/src/shader.hg: Wrapped new methods and properties.

	* clutter/src/actor.hg:
	* clutter/src/actor.ccg: Removed the get_paint_area function and vfunc
	since it has been removed from clutter trunk.

	* tests/test-alpha-func.cc:
	* tests/test-alpha-creation.cc:
	* examples/test-actors.cc: Adapt to new clutter API.

2008-06-21  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/clutter_methods.defs: Removed private definitions from
	clutter-script-private.h.

	* clutter/src/types.hg:
	* clutter/src/types.ccg:
	* tools/m4/convert_cluttermm.m4: Wrapped ClutterKnot, adapted
	conversions.

	* clutter/src/behaviour-bspline.hg:
	* clutter/src/behaviour-depth.hg:
	* clutter/src/behaviour-ellipse.hg:
	* clutter/src/behaviour-path.hg:
	* clutter/src/behaviour-scale.hg:
	* clutter/src/behaviour-rotate.hg:
	* clutter/src/behaviour-opacity.hg:
	* clutter/src/behaviour-bspline.ccg:
	* clutter/src/behaviour-path.ccg: Wrapped missing methods and
	properties.

	* clutter/src/clutter_vfuncs.defs: Fix signature for
	ClutterScriptable's set_custom_property vfunc (GValue* vs. const
	GValue*).
	* clutter/src/scriptable.hg: Wrapped missing methods and the
	set_custom_property vfunc.

	* clutter/src/script.hg:
	* clutter/src/script.ccg: Wrapped the load_from_data method and the
	get_type_from_name vfunc in which we try to instantiate
	gtkmm-overriden objects, as libglademm does.

2008-06-20  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/effecttemplate.hg:
	* clutter/src/effecttemplate.ccg: Wrapped ClutterEffectTemplate.

	* clutter/src/alpha.hg: Wrap "alpha" and "timeline" properties.
	* clutter/src/score.hg: Wrap new methods, properties and signals.

	* clutter/cluttermm.h: Added effecttemplate.h to the includes.

	* examples/Makefile.am:
	* examples/effect.cc: Added a simple example to show how
	Clutter::EffectTemplate can be used.

2008-06-15  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/clutter_others.defs: Added signals for ClutterContainer.
	* clutter/src/clutter_vfuncs.defs: Added vfuncs for ClutterContainer.

	* clutter/src/container.hg: Wrapped vfuncs and other missing methods.
	Did not yet wrap the ChildMeta/Child properties stuff which probably
	needs some more thought.

	* clutter/src/stage.hg:
	* clutter/src/stage.ccg: Wrapped new properties and methods, and
	ClutterPerspective.

	* clutter/src/timeline.hg:
	* clutter/src/timeline.ccg: Wrapped new signals, properties and methods.

	* clutter/src/clutter_signals.defs: Regenerated after clutter bug #967
	has been fixed (http://bugzilla.openedhand.com/show_bug.cgi?id=967).

2008-06-14  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/clutter_others.defs: Add ClutterMedia signals.
	* clutter/src/clutter_vfuncs.defs: Add ClutterActor vfuncs.

	* clutter/src/actor.hg:
	* clutter/src/actor.ccg: Wrapped properties and vfuncs.

	* clutter/src/media.hg: Wrap the get_uri() func correctly, wrap "eos"
	signal and properties.

	* clutter/src/rectangle.hg:
	* clutter/src/rectangle.ccg: Implement get_border_color() (was only
	declared, but not implemented), and wrap properties.

	* clutter/src/label.hg:
	* clutter/src/entry.hg: Wrap properties, fix a typo (get_text <->
	set_text).

	* clutter/src/types.hg:
	* tools/m4/convert_cluttermm.m4: Wrap ClutterRequestMode enum.

	* clutter/src/texture.hg: Removed the constructor taking a filename
	since loading of the file could fail, and I want to avoid throwing an
	error in a constructor. Instead, set_from_file() can be called after
	construction. Also wrapped other new methods and properties.

	* examples/embed-gtk.cc:
	* examples/test-actors.cc: Adapt.

2008-06-12  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/types.hg:
	* clutter/src/types.ccg: Wrapped ClutterVertex, ClutterGeometry.

	* clutter/src/texture.hg: Removed the constructor taking a pixbuf,
	since it was removed in clutter, instead added constructors taking a
	filename or an actor, respectively.

	* clutter/src/actor.hg:
	* clutter/src/actor.ccg: Wrapped new/remaining functions and signals.

	* clutter/src/clutter_signals.defs: Regenerated because the
	"unrealized" signal of ClutterActor was renamed to "unrealize".

	* tools/m4/convert_cluttermm.m4: Added conversions between
	ClutterShader* and Clutter::Shader.

	* examples/embed-gtk.cc:
	* examples/test-actors.cc: Create textures from file instead of from
	pixbuf, to make them compile again.

2008-06-12  Armin Burgmeier  <armin@openismus.com>

	* clutter/src/clutter_methods.defs:
	* clutter/src/clutter_enums.defs:
	* clutter/src/clutter_docs.xml:
	* clutter/src/clutter_signals.defs:
	* clutter/src/clutter_vfuncs.defs: Regenerated defs, removed some
	vfuncs that do no longer exist.

	* clutter/src/texture.hg:
	* clutter/src/stage.hg:
	* clutter/src/shader.hg:
	* clutter/src/actor.hg: Removed some API that does not exist
	anymore, to make it compile.

	* configure.in: Changed API_VER to 0.8, version to 0.7.0, and require
	clutter-0.7.

2008-06-02  Murray Cumming  <murrayc@murrayc.com>

	* examples/Makefile.am: Added actor.png to the dist.
	Bug #536180 (Denis Leroy).

2008-06-02   Denis Leroy  <denis@poolshark.org>

	* clutter-cairo/cluttermm-cairo.pc.in:
	* clutter-gtk/cluttermm-gtk.pc.in: Use API_VER so the correct library
	names are used. Bug #536181.

0.5.1:

2008-05-06  Murray Cumming  <murrayc@murrayc.com>

	* clutter-cairo/Makefile.am:
	* clutter-gtk/Makefile.am:
	* clutter/Makefile.am: Added the generated .pc files to DISTCLEANFILES
	to fix distcheck.

2008-04-22  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter-cairo/cluttermm-cairo/private/Makefile.am:
	* clutter-gtk/cluttermm-gtk/private/Makefile.am:
	* tools/m4/Makefile.am: fix up a couple things that were missed from the API
	version rename

2008-04-22  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter-cairo/Makefile.am:
	* clutter-cairo/cluttermm-cairo/Makefile.am:
	* clutter-gtk/Makefile.am:
	* clutter-gtk/cluttermm-gtk/Makefile.am:
	* clutter/Makefile.am:
	* clutter/cluttermm.pc.in:
	* clutter/cluttermm/Makefile.am:
	* clutter/cluttermm/private/Makefile.am:
	* clutter/cluttermmconfig.h.in:
	* configure.in:
	* examples/Makefile.am_fragment: now change everything over to use the -0.6
	API version instead of -1.0.  The C Clutter library uses 0.6 for their API
	version and if cluttermm uses -1.0 now, we might run into trouble when
	clutterm reaches 1.0.  This should be ok yet since we don't have any real
	users or complete releases yet.

2008-04-22  Jonathon Jongsma  <jjongsma@gnome.org>

	* autogen.sh: abort if automake fails

2008-04-22  Siavash Safi  <siavash.safi@gmail.com>

	* Makefile.am:
	* clutter-gtk/Makefile.am:
	* clutter-gtk/README:
	* clutter-gtk/cluttermm-gtk-config.h.in:
	* clutter-gtk/cluttermm-gtk.h:
	* clutter-gtk/cluttermm-gtk.pc.in:
	* clutter-gtk/cluttermm-gtk/Makefile.am:
	* clutter-gtk/cluttermm-gtk/init.cc:
	* clutter-gtk/cluttermm-gtk/init.h:
	* clutter-gtk/cluttermm-gtk/private/Makefile.am:
	* clutter-gtk/cluttermm-gtk/wrap_init.h:
	* clutter-gtk/src/Makefile.am:
	* clutter-gtk/src/Makefile_list_of_hg.am_fragment:
	* clutter-gtk/src/clutter-gtk.defs:
	* clutter-gtk/src/clutter-gtk_enums.defs:
	* clutter-gtk/src/clutter-gtk_methods.defs:
	* clutter-gtk/src/clutter-gtk_others.defs:
	* clutter-gtk/src/clutter-gtk_signals.defs:
	* clutter-gtk/src/clutter-gtk_vfuncs.defs:
	* clutter-gtk/src/embed.ccg:
	* clutter-gtk/src/embed.hg:
	* configure.in:
	* examples/Makefile.am:
	* examples/Makefile.am_fragment:
	* examples/embed-gtk.cc: Added support for clutter-gtk library.

2008-04-20  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter-cairo: split cluttermm-cairo library into its own subdirectory to
	match the way the underlying clutter library is divided

2008-04-15  Jonathon Jongsma  <jjongsma@gnome.org>

	* configure.in: bumped version number to 0.5.1
	* clutter/Makefile.am:
	* clutter/cluttermm-1.0.pc.in:
	* clutter/cluttermm/Makefile.am:
	* clutter/cluttermm/private/Makefile.am:
	* examples/Makefile.am_fragment: previously, the library name was a mixture
	of cluttermm-1.0 and cluttermm-0.1.  The pkg-config file and include
	directories were 1.0, but the .so files were named -0.1.  Now everything
	should be named -1.0

2008-04-15  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/actor.hg: add default value of 'true' to Actor::set_reactive()

2008-04-13  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm-1.0.pc.in: require 'clutter-0.6' in the .pc file instead
	of 'clutter'

2008-04-13  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm.h:
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/cairo-texture.ccg:
	* clutter/src/cairo-texture.hg:
	* clutter/src/clutter_methods.defs:
	* examples/Makefile.am:
	* examples/flowers.cc:
	* examples/simple-cairo.cc:
	* examples/test-actors.cc: add support for the clutter-cairo library.
	Currently this is required unconditionally, I'm not sure if we want to wrap
	this in a separate library (e.g. cluttermm-cairo) since the underlying
	libraries are separate.

0.5.0:

2008-02-21  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Depend on clutter-0.6 instead of clutter-0.5.
	* clutter/src/clutter_methods.defs: Regenereated with h2defs.py.

	* clutter/src/clutter_vfuncs.defs:
	* clutter/src/stage.hg: Remove set_offscreen() vfunc because it was
	removed from clutter.

	* clutter/src/entry.hg: Renamed set_position() to set_cursor_position(),
	to match the change in clutter.

2008-01-26  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/script.hg:
	* clutter/src/shader.hg: Do not use _DERIVES_INITIALLY_UNOWNED, because I
	do not think they do.

2008-01-26  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/score.hg: Do not use _DERIVES_INITIALLY_UNOWNED, because I
	do not think it does.
	get_timeline(): Use refreturn.
	* clutter/src/script.hg: Wrap clutter_get_script_id() as a static method.
	* clutter/src/scriptable.hg: Wrap the get_id() vfunc.
	* clutter/src/shader.ccg:
	* clutter/src/shader.hg: Use std::string for the source code (data) parameters.
	* clutter/src/stage.hg: Added default values for set_*(bool) methods.

2008-01-26  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/media.hg:
	* clutter/src/stage.hg: Added ustring conversions for signals, to fix the build.

2008-01-25  Jonathon Jongsma  <jjongsma@gnome.org>

	* tests/test-alpha-creation.cc:
	* tests/test-alpha-func.cc: update tests for new BehaviourScale constructor API

2008-01-20  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/actor.hg: implement Scriptable interface
	* clutter/src/behaviour-bspline.hg: implement Scriptable interface
	* clutter/src/behaviour-path.hg: implement Scriptable interface
	* clutter/src/scriptable.hg: remove errant actor.h include

2008-01-20  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/clutter_vfuncs.defs:
	* clutter/src/scriptable.ccg:
	* clutter/src/scriptable.hg: add new Scriptable Interface

2008-01-20  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm.h:
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/clutter_signals.defs:
	* clutter/src/script.ccg:
	* clutter/src/script.hg:
	* tools/extra_defs_gen/generate_defs_clutter.cc:
	Added Script class.  A lot of it is still marked with TODOs since I haven't
	thought about how to handle the signal connection stuff in C++.

2008-01-20  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/shader.ccg:
	* clutter/src/shader.hg:
	* clutter/src/Makefile_list_of_hg.am_fragment: add new Shader class
	* clutter/cluttermm.h: add score.h and shader.h to main include header
	* clutter/src/clutter_signals.defs:
	* tools/extra_defs_gen/generate_defs_clutter.cc: generate defs for new
	Shader and Score classes

2008-01-20  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/behaviour-opacity.hg: wrapped a couple missing methods

2008-01-20  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/score.ccg:
	* clutter/src/score.hg:
	* clutter/src/Makefile_list_of_hg.am_fragment: add new Score class
	* clutter/src/clutter_docs_override.xml: override some documentation for the
	Score class since I overloaded append() with a NULL parameter for parent

2008-01-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* examples/test-actors.cc: update example to use new BehaviourScale
	constructor API

2008-01-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/clutter_docs.xml: re-generated documentation
	* clutter/src/stage.hg: wrapped missing functions
	* clutter/src/timeline.hg: wrapped missing functions
	* tools/m4/convert_cluttermm.m4: moved a conversion to the source file

2008-01-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/behaviour-scale.hg: wrapped new BehaviourScale API and fixed
	up some API changes (constructor, etc)
	* clutter/src/stage.hg: wrapped new Stage API
	* tools/m4/convert_cluttermm.m4: add conversions for Fog

2008-01-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/behaviour-scale.hg: update get_bounds() API that now takes a
	start and end instead of an angle

2008-01-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/clutter_signals.defs: reverted a couple signal definitions back
	to take const parameters.  These were hand-changed and overwritten by
	re-generating the .defs file.

2008-01-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/behaviour-ellipse.hg: API change, angle degree arguments were
	changed from ClutterAngle to ClutterFixed in the C API

2008-01-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/clutter_enums.defs:
	* clutter/src/clutter_methods.defs:
	* clutter/src/clutter_signals.defs: re-generated defs
	* clutter/src/actor.hg: wrapped the new Unit-related API (e.g. get_xu()).
	It might be nice to wrap the set_xu() functions as overloaded versions of
	set_x(), but that won't work for get_xu() since you can't overload on return
	values, so I left them all with the slightly awkward naming of the C
	functions.

2007-12-27  Daniel Elstner  <danielk@openismus.com>

	* examples/src/color.ccg: Eliminate leftover inclusion of removed
	clutter-layout.h header.

2007-12-17  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	Added back container.hg because ClutterContainer was not removed
	from clutter.

2007-11-30  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/actor.hg: Removed deprecated
	set_scale_with_gravityx(). Added some new methods.

	* clutter/cluttermm.h:
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* examples/Makefile.am:
	* tools/extra_defs_gen/generate_defs_clutter.cc:
	Remove use of Box, Container, HBox, VBox, Layout and Margin
	because they have been removed from Clutter. We can move these
	to a wrapper for the Clutter higher-level library when that
	C library exists.

2007-11-22  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/alpha.ccg:
	* clutter/src/behaviour.ccg:
	* clutter/src/container.ccg: Take a reference with Glib::wrap()
	in the slot/callback proxies, because the C callback does not
	give us one. Otherwise the RefPtr decreases the refcount in its
	destructor.
	Jonathon, if you copied this code from somewhere, we should check
	the code that you copied from too.
	* clutter/src/timeline.hg: Added =true to set_loop().
	* tests/Makefile.am: Added a test of the alpha funcs.

2007-11-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/actor.hg: wrap some more Actor methods
	* examples/test-actors.cc: use the C++ versions of set_rotation()

2007-11-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/alpha.hg:
	* clutter/src/behaviour-depth.hg:
	* clutter/src/behaviour-ellipse.hg:
	* clutter/src/behaviour-opacity.hg:
	* clutter/src/behaviour-path.hg:
	* clutter/src/behaviour-rotate.hg:
	* clutter/src/behaviour-scale.hg:
	* clutter/src/behaviour.ccg:
	* clutter/src/behaviour.hg:
	* clutter/src/clutter_enums.defs:
	* clutter/src/clutter_methods.defs:
	* clutter/src/clutter_signals.defs:
	* clutter/src/container.hg:
	* clutter/src/entry.hg:
	* clutter/src/group.hg:
	* clutter/src/label.hg:
	* clutter/src/timeline.hg:
	* tools/m4/convert_cluttermm.m4: wrapped a lot of new API introduced by
	generating new .defs files and cleaned up some of the missing stuff from
	before, including wrapping a lot of new properties

2007-11-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/clutter_enums.defs:
	* clutter/src/clutter_methods.defs:
	* clutter/src/clutter_signals.defs: re-generated defs

2007-11-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* MAINTAINERS: I figure I might as well add myself as a maintainer

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/alpha.ccg:
	* clutter/src/alpha.hg: Added a constructor and create()
	that takes a regular ClutterAlphaFunc, because the slot version
	seems to have refcount problems. We might want this anyway, so it
	is easy for people to use new standard clutter ClutterAlphaFuncs.
	* tests/test-alpha-creation.cc: Use the new constructor to show
	that this removes the warning.

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* configure.in:
	* tests/Makefile.am:
	* tests/test-alpha-creation.cc: Added a tests directory, with one
	simple test, though it doesn't show the problem in the example.

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/actor.hg: Commented-out the rotate_*() and get_r*_ang*()
	methods which have been removed from clutter in svn.
	* examples/test-actors.cc: Used the C functions for now, because I am too
	lazy to regenerate the .defs file.

2007-11-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/alpha.hg: add sigc::slot wrappers for all of the pre-defined
	alpha functions provided by clutter
	* clutter/src/alpha.ccg: Sink initially unowned ref in custom constructor,
	also define the pre-defined alpha slots
	* examples/test-actors.cc: update to use newly wrapped sine alpha func, also
	make the example generally more c++-ified

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm/init.cc: also initialize gdkmm so that we can use
	Gdk::Pixbuf properly
	* examples/test-actors.cc: added new test/example -- the one with the
	spinning openedhand logos.  There are a few things that are not wrapped and
	a couple of things print warnings on exit (indicating perhaps a reference
	counting issue or something), but for the most part things work so far.

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/behaviour-scale.hg: fix the construction param names

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/clone-texture.hg: fixe CloneTexture so it actually works.
	Give it the write GType, fix the construct param property name

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/timeline.hg: add proper constructor -- there is no default
	constructor for Timeline

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm.h: update main super-header to include all of the new
	headers that we've added recently
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/clone-texture.ccg:
	* clutter/src/clone-texture.hg:
	* tools/m4/convert_cluttermm.m4: add initial implementation of CloneTexture
	class

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* tools/m4/convert_cluttermm.m4:
	* clutter/src/types.hg: add Gravity enum
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/behaviour-scale.ccg:
	* clutter/src/behaviour-scale.hg: added initial implementation of
	BehaviourScale class

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* Update to latest clutter trunk API
	* clutter/src/actor.hg: renamed get_id() to get_gid()
	* clutter/src/behaviour-ellipse.hg: renamed *_angle_begin to *_angle_start

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/behaviour-ellipse.ccg:
	* clutter/src/behaviour-ellipse.hg:
	* clutter/src/behaviour-rotate.ccg:
	* clutter/src/behaviour-rotate.hg: added initial implementation of
	BehaviourRotate class

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/types.ccg/hg:
	* clutter/cluttermm/types.h: move this to types.hg so that we can wrap some
	enums here with gmmproc
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/behaviour-ellipse.ccg:
	* clutter/src/behaviour-ellipse.hg: add initial implementation of
	BehaviorEllipse class
	* tools/m4/convert_cluttermm.m4: add enum conversions

2007-11-17  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Doxyfile.in: update to new config file format

2007-11-15  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/clutter_signals.defs: Corrected the
	Actor::enter-event signal definition.
	* clutter/src/actor.hg: Added some event signals that were
	commented out.
	* clutter/src/alpha.ccg:
	* clutter/src/alpha.hg: Added a constructor (and create)
	which takes a timeline and alpha callback.
	* clutter/src/container.ccg:
	* clutter/src/container.hg: Added foreach() and
	sort_depth_order(), and the foreach() vfunc.
	* clutter/src/stage.hg: Added stage_event().
	* clutter/src/timeline.hg: Added clone().

2007-11-12  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/actor.hg: Wrapped get_scalex().
	* clutter/src/behaviour.hg: Wrapped get_actors().
	* tools/m4/convert_cluttermm.m4: Moved the signal conversion into the .hg file,
	to avoid it being used anywhere else.

2007-11-12  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/texture.ccg:
	* clutter/src/texture.hg: Use _WRAP_GERROR() to wrap the
	GError, and use the errthrow parameter with _WRAP_METHOD.

2007-11-12  Murray Cumming  <murrayc@murrayc.com>

	* clutter/cluttermm/types.h: Added Fixed and *Event typedefs.
	* tools/m4/convert_cluttermm.m4: Added conversions.
	* clutter/src/actor.ccg:
	* clutter/src/actor.hg: Used *Event typedefs.
	* clutter/src/alpha.ccg:
	* clutter/src/alpha.hg:
	* clutter/src/behaviour-bspline.ccg:
	* clutter/src/behaviour-bspline.hg:
	* clutter/src/behaviour-depth.ccg:
	* clutter/src/behaviour-depth.hg:
	* clutter/src/behaviour-opacity.ccg:
	* clutter/src/behaviour-opacity.hg:
	* clutter/src/behaviour-path.ccg:
	* clutter/src/behaviour-path.hg:
	* clutter/src/behaviour.ccg:
	* clutter/src/behaviour.hg:
	* clutter/src/box.ccg:
	* clutter/src/box.hg:
	* clutter/src/color.ccg:
	* clutter/src/color.hg:
	* clutter/src/container.ccg:
	* clutter/src/container.hg:
	* clutter/src/entry.ccg:
	* clutter/src/entry.hg:
	* clutter/src/group.ccg:
	* clutter/src/group.hg:
	* clutter/src/label.ccg:
	* clutter/src/label.hg:
	* clutter/src/layout.hg:
	* clutter/src/margin.ccg:
	* clutter/src/margin.hg:
	* clutter/src/media.hg:
	* clutter/src/rectangle.ccg:
	* clutter/src/rectangle.hg:
	* clutter/src/stage.ccg:
	* clutter/src/stage.hg:
	* clutter/src/texture.ccg:
	* clutter/src/texture.hg:
	* clutter/src/timeline.ccg:
	* clutter/src/timeline.hg: Use Fixed typedefs.
	Removed unnecessary includes of C headers in our .hg headers -
	adding them to our .ccg files where necessary.

2007-11-11  Jonathon Jongsma  <jjongsma@gnome.org>

	* configure.in:
	* docs/Makefile.am: build the API documentation by default

2007-11-11  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/behaviour-path.ccg:
	* clutter/src/behaviour-path.hg: Initial implementation of the BehaviourPath
	class
	* clutter/src/clutter_signals.defs: modified signal signature by hand to
	change the knot_reached argument to const.

2007-11-11  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/behaviour-depth.hg: removed incorrect comment (copy/paste
	error)
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/behaviour-opacity.ccg:
	* clutter/src/behaviour-opacity.hg: initial implementation of the
	BehaviourOpacity class

2007-11-11  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/behaviour-depth.ccg:
	* clutter/src/behaviour-depth.hg: initial implementation of the
	BehaviourDepth class

2007-11-10  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/clutter_signals.defs: re-generate signals and manually change
	one parameter (in "knot_reached") to const since it didn't get detected
	properly.  I'm not sure if this is the right way to do that or not
	* clutter/cluttermm/types.h: add Knot type
	* tools/m4/convert_cluttermm.m4:
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/behaviour-bspline.ccg:
	* clutter/src/behaviour-bspline.hg: add initial implementation of the
	BehaviourBspline class

2007-11-09  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/alpha.hg: added missing get_alpha() function
	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/behaviour.ccg:
	* clutter/src/behaviour.hg:
	* clutter/src/clutter_vfuncs.defs:
	* tools/m4/convert_cluttermm.m4: added initial wrapper for Behavior

2007-11-09  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/alpha.ccg:
	* clutter/src/alpha.hg: added initial wrapper for ClutterAlpha
	* clutter/src/timeline.hg: made Timeline only accessible via RefPtr

2007-11-08  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/container.hg: added refreturn to some functions
	* clutter/src/group.hg: added refreturn to some functions
	* clutter/src/stage.hg: added refreturn to some functions
	* examples/test-boxes.cc: connected the signal handlers, so the full
	functionality of the C demo is now working (although there are some things
	in the example which aren't wrapped yet).

2007-11-08  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/color.ccg:
	* clutter/src/color.hg: I had forgotten to add an rgb constructor, which is
	the most common case and corresponds to the C use:
	ClutterColor color = { 0, 0, 0, 255};
	This means that we can't have a constructor for hls, because they would be
	the same signature.  So I removed the hls and hlsx constructors.  If you
	want to set a color via hls, you'll need to construct it and then call
	Color::set_from_hls() instead.  I also added getters/setters for all of the
	individual red/green/blue/alpha values and one setter for all of them at
	once. This API might still need a bit more thought to make it more natural
	* examples/test-boxes.cc: updated for the new color API

2007-11-08  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/actor.hg: Use the new _DERIVES_INITIALLY_UNOWNED
	gmmproc macro from the latest glibmm from svn.
	* examples/test-boxes.cc: Remove the extra reference() calls. These
	should no longer be necessary.

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm/init.cc:
	* clutter/cluttermm/init.h: just modifiying the init() function enough so
	that I can get the example to run
	* examples/Makefile.am:
	* examples/test-boxes.cc: added a simple example which is a translation of
	the test-boxes.c program from clutter.  It doesn't work completely yet, but
	a window shows up and it's the right size.

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm.h: Add the rest of the headers created so far to the m
	ain cluttermm.h include file
	* configure.in: removed an example makefile from AC_OUTPUT since it no
	longer exists

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/box.hg: I think the HBox and VBox classes should be used by
	RefPtr, so I added create() functions and made their constructors private

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* configure.in: bump the version to 0.5.0 to try to avoid confusion with
	people assuming that they can use it with clutter <= 0.3.  There's currently
	a lot fo 0.5/0.6 clutter API wrapped in cluttermm, and this version change
	hopefully makes that more clear

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/timeline.ccg:
	* clutter/src/timeline.hg: Added initial wrapper for Timeline

2007-11-07  Murray Cumming  <murrayc@murrayc.com>

	* clutter/cluttermm/Makefile.am:
	* clutter/cluttermm/types.h: Added this file.
	So far it just contains the Unit typedef.
	* clutter/src/container.hg:
	* clutter/src/layout.hg:
	* clutter/src/texture.hg:
	* tools/m4/convert_cluttermm.m4: Use Unit instead
	of ClutterUnit in our API.
	* clutter/src/margin.ccg:
	* clutter/src/margin.hg: Use _MEMBER_GET() and
	_MEMBER_SET() instead of hand-coding these.

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/clutter_vfuncs.defs:
	* clutter/src/entry.ccg:
	* clutter/src/entry.hg: Add wrapper for Entry class

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/rectangle.ccg:
	* clutter/src/rectangle.hg:
	* clutter/src/texture.ccg:
	* clutter/src/texture.hg: use _WRAP_CTOR instead of doing hand-coded
	constructors for Rectangle and Texture.

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/label.hg: re-enabled pango-related functions.  Fixed a typo
	where get_* was mis-spelled set_*

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/label.ccg:
	* clutter/src/label.hg:
	* tools/m4/convert_cluttermm.m4: add Label class.  Commented out Pango-using
	functions until I get conversions to work correctly

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/clutter_methods.defs: re-generate methods defs

2007-11-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/actor.hg:
	* clutter/src/clutter_signals.defs: added some signals to the Actor class

2007-11-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/group.hg: removed a bunch of deprecated functions and added a
	constversion of one function

2007-11-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/container.hg: removed a function from Container that was
	removed from the C library

2007-11-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/stage.hg: wrapped some more functions of Stage

2007-11-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/texture.ccg:
	* clutter/src/texture.hg:
	* tools/m4/convert_cluttermm.m4: Initial wrapper for Texture class

2007-10-31  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/box.hg:
	* clutter/src/color.hg:
	* clutter/src/rectangle.hg:
	* clutter/src/stage.hg: added _WRAP_METHOD_DOCS_ONLY calls to methods that
	were customized and not wrapped automatically so that the relevant generated
	documentation gets included
	* clutter/src/clutter_docs.xml: re-generate the clutter docs

2007-10-31  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/actor.hg: use wrapped Color class in the pick() method

2007-10-31  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm/init.cc:
	* clutter/cluttermm/init.h:
	* clutter/cluttermm/wrap_init.h:
	* clutter/cluttermmconfig.h.in: removed a bunch more leftover namespaces and
	such from goocanvasmm and gdamm

2007-10-31  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/rectangle.ccg:
	* clutter/src/rectangle.hg: Wrap the Rectangle class

2007-10-31  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/stage.hg: add conversion so that Stage::get_default() returns
	a RefPtr<Stage> type

2007-10-30  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/clutter_vfuncs.defs:
	* clutter/src/stage.ccg:
	* clutter/src/stage.hg: added an initial wrapper for the Stage class.
	The get_default() function returns a RefPtr<Actor> instead of a
	RefPtr<Stage> since I'm not sure of the proper way to do the conversion, but
	otherwise, it should be mostly complete.

2007-10-29  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/box.hg: added HBox and VBox classes.  I decided against
	creating separate headers for each of these classes like the base clutter
	library does since they're so small, and I just put them all in box.h like
	we do in gtkmm.

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/README: clean up a copy/paste error
	* added some more files to ignore

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/group.ccg:
	* clutter/src/group.hg: add initial wrapper for ClutterGroup

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm.h: cleaned up the one-include-to-rule-them-all so that
	it includes all of the header files created so far and so that it has proper
	copyright information.  Also removed some commented-out cruft

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/cluttermm.h: changed the #include guard from LIBGOOCANVASMM_H to
	LIBCLUTTERMM_H
	* clutter/src/clutter_vfuncs.defs: removed a whole bunch of goocanvasmm
	references

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* examples/Makefile.am:
	* examples/README.txt:
	* examples/simple/Makefile.am:
	* examples/simple/simple.cc:
	* examples/simple/window.cc:
	* examples/simple/window.h: removed the leftover goocanvas example so that
	the build doesn't break on the examples every time

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/clutter_vfuncs.defs:
	* clutter/src/media.ccg:
	* clutter/src/media.hg: Add initial wrapper for ClutterMedia Interface

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/margin.ccg:
	* clutter/src/margin.hg: added getters and setters for the various margin
	values (top, right, bottom, left)

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/color.ccg:
	* clutter/src/color.hg:
	* tools/m4/convert_cluttermm.m4: Finish wrapping the Color class.  There are
	a couple of utility functions that have a signature like:
	void darken(ClutterColor* src, ClutterColor*dest);
	These I wrapped to act on the 'this' object (e.g. darken(this, this))
	instead of returning a modified copy of the Color.  I did this because
	otherwise you wouldn't have any way to darken the current object directly,
	you'd have to do something like:
	Color foo;
	Color darkened_foo = foo.darken();
	// now use the darkened color you wanted and throw away foo

	This means, of course, that if you *do* want to create a darkened copy, you
	have to create the copy manually, e.g.:
	Color foo;
	Color darkened_foo = foo;
	darkened_foo.darken();
	There are drawbacks to both approaches, but I think the second is more
	flexible and feels better to me.

2007-10-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/color.ccg:
	* clutter/src/color.hg: implemented operator+ and operator- for the Color
	class and re-implemented .add() and .subtract() with these new operators.
	Also made add() and subtract() const since they don't modify the object,
	they return a new object.

2007-10-28  Murray Cumming  <murrayc@murrayc.com>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* tools/m4/convert_cluttermm.m4:
	* clutter/src/box.ccg:
	* clutter/src/box.hg:
	* clutter/src/color.ccg:
	* clutter/src/color.hg:
	* clutter/src/margin.ccg:
	* clutter/src/margin.hg: Added wrappers for these
	two boxed types.
	* clutter/src/container.ccg:
	* clutter/src/container.hg: Use the Color and Margin
	classes.
	* clutter/src/layout.hg: Moved the conversion for the
	signal to here, and fixed the reference-counting for it.
	Some other minor const fixes.

2007-10-27  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/box.ccg:
	* clutter/src/box.hg:
	* clutter/src/clutter_vfuncs.defs:
	* tools/m4/convert_cluttermm.m4: add initial wrapper for ClutterBox

2007-10-27  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/container.hg:
	* clutter/src/layout.hg: make member functions public, accidentally left
	them at the default private visibility

2007-10-27  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/clutter_vfuncs.defs:
	* clutter/src/layout.ccg:
	* clutter/src/layout.hg:
	* tools/m4/convert_cluttermm.m4: added initial wrapper for ClutterLayout
	Interface

2007-10-27  Jonathon Jongsma  <jjongsma@gnome.org>

	* add svn:ignore properties so `svn status` is useful again

2007-10-27  Jonathon Jongsma  <jjongsma@gnome.org>

	* clutter/src/Makefile_list_of_hg.am_fragment:
	* clutter/src/container.ccg:
	* clutter/src/container.hg:
	* tools/m4/convert_cluttermm.m4: added initial wrapping of the
	ClutterContainer interface.
